//
// Variables for wver
// ====================
//
//

//
// Colors
//
//
$amber = #FFC107
$faded-black = #333333
$black = #17181C
$blue = #2196F3
$asexual-blue = #2DE1FC
$blue-grey = #607D8B
$grey = #9E9E9E
$sandy-grey = #4F4F4F
$lime = #CDDC39
$pink = #E91E63
$red = #E71D36
$white = #FAFAFA
$salmon-awesome = #EC6B4E
$yellow = #E3B505
$happy-green = #5DD39E
$deli-mustard = #F2C94C

$wver-main = $salmon-awesome
$wver-text-main = $faded-black
$wver-text-secondary = $sandy-grey

$wver-comment-status-base = $yellow
$wver-comment-status-rejected = $red
$wver-comment-status-accepted = $happy-green
$wver-comment-reply = $asexual-blue

$wver-document-base = $faded-black
$wver-document-scrollbar = $sandy-grey

$wver-file-list-color = $sandy-grey
$wver-file-list-item-color = $deli-mustard

$tooltip-background-dark = rgba(33, 33, 33, 0.75)

//
// Media query specific
//
//
#dab-only
  @media only screen and (max-device-width: 720px)
    display none

#desktop-only
  @media only screen and (max-device-width: 1200px)
    display none

#mobile-only
  @media only screen and (min-device-width: 720px)
    display none

// Debug and Story stuff
#debug-document
  background-color $grey
#debug-export
  background-color $red
#debug-features
  background-color $asexual-blue
#debug-feedback
  background-color $white
#debug-header
  background-color $lime
#debug-home
  background-color $amber
#debug-start
  background-color $happy-green

#root
  align-content center
  align-items center
  align-self center
  display flex
  flex-flow row nowrap
  height 100vh
  justify-content center
  max-height 100vh
  max-width 100vw
  min-height 100vh
  min-width 100vw
  width 100vw
.center-decorator
  align-content center
  align-items center
  align-self center
  display flex
  flex-flow row nowrap
  height 100%
  justify-content center
  max-height 100%
  max-width 100%
  min-height 100%
  min-width 100%
  width 100%


// Gitter help
.gitter-chat-embed > iframe
  margin-top 5%
  padding-bottom 5%

.gitter-open-chat-button
  transform rotate(-90deg)
  transform-origin -50% -538%
  z-index 99

//
// Animation
//
//
.spin
  animation spin 3s linear infinite

.spin:before
  animation spin 4.5s linear infinite

.spin:after
  animation spin 2.25s linear infinite

@keyframes spin
    0%
      transform rotate(0deg)
    100%
      transform rotate(360deg)
